<?php

declare(strict_types=1);

namespace App\Enum\Access;

use App\Enum\EnumMethodsTrait;

/**
 * Role.
 */
enum RoleEnum: string
{
    use EnumMethodsTrait;

    case ROLE_ADMIN = 'ROLE_ADMIN';
    case ROLE_ADMINISTRATIF_MANAGER = 'ROLE_ADMINISTRATIF_MANAGER';
    case ROLE_PEDAGOGICS_MANAGER = 'ROLE_PEDAGOGICS_MANAGER';
    case ROLE_FINANCIAL_MANAGER = 'ROLE_FINANCIAL_MANAGER';
    case ROLE_CA = 'ROLE_CA';
    case ROLE_STUDENT = 'ROLE_STUDENT';
    case ROLE_TEACHER = 'ROLE_TEACHER';
    case ROLE_MEMBER = 'ROLE_MEMBER';
    case ROLE_OTHER = 'ROLE_OTHER';
}
